# decode-html-entities
> decode-html-entities   converts special characters like &amp into &.

## Install in your project

`npm install decode-html-entities --save`

### Example
>  input: `'1 &amp;  2'`
>  output: `'1 & 2' `

### How to use?
```nashorn js
import module
@NgModule({
    declarations:[DecodeHtmlEntitiesModule],    
    exports:[DecodeHtmlEntitiesModule]    
})

```
```nashorn js
 <p>{{ text | decodeHtmlEntities }}</p>
```

### How?
```sh
transform(value: any, args: any[]): any {
        if (!value) return;
        let txt = document.createElement("textarea");
        txt.innerHTML = value;
        return txt.value;
    }
```

  

License
----
MIT
**Free Software, Yeah!**